.TH "toot" 1 "2018-05-13" "toot"
.SH NAME
toot \- command-line mastodon client
.SH SYNOPSIS
.B toot
[OPTION...]
.SH DESCRIPTION
toot is a command-line client that you can use with any mastodon instance.

.SH OPTIONS
Usage: toot [OPTION...]

.B Help Options

\fBno arguments\fR
.RS
Displays usage for the tool.
.RE

\fBOPTION \-\-help\fR
.RS
Displays usage for subcommand.
.RE


.B Authentication Options

\fBlogin\fR
.RS
Log in from the console, does NOT support two factor authentication
.RE

\fBlogin_browser\fR
.RS
Log in using your browser, supports regular and two factor authentication
.RE

\fBactivate\fR
.RS
Switch between logged in accounts
.RE

\fBlogout\fR
.RS
Log out, delete stored access keys
.RE

\fBauth\fR
.RS
Show logged in accounts and instances
.RE

.B Read Options

\fBwhoami\fR
.RS
Display logged in user details
.RE

\fBwhois\fR
.RS
Display account details
.RE

\fBinstance\fR
.RS
Display instance details
.RE

\fBsearch\fR
.RS
Search for users or hashtags
.RE

\fBtimeline\fR
.RS
Show recent items in your public timeline
.RE

\fBcurses\fR
.RS
An experimental timeline app (doesn't work on Windows)
.RE

.B Post Options

\fBpost\fR
.RS
Post a status text to your timeline
.RE

\fBupload\fR
.RS
Upload an image or video file
.RE

.B Account Options

\fBfollow\fR
.RS
Follow an account
.RE

\fBunfollow\fR
.RS
Unfollow an account
.RE

\fBmute\fR
.RS
Mute an account
.RE

\fBunmute\fR
.RS
Unmute an account
.RE

\fBblock\fR
.RS
Block an account
.RE

\fBunblock\fR
.RS
Unblock an account
.RE

.SH REPORTING BUGS
Please file issues on the Github bug tracker: https://github.com/ihabunek/toot/issues

.SH AUTHORS
This manual page was written by Jonathan Carter <jcc@debian.org>.

Toot was written by Ivan Habunek (https://github.com/ihabunek).
